// Written by Dr. YIP Chi Lap [Beta]
//   for Talk on "DIY Earthquake Detector: The software side" 
//   Earthquake Detector Design Competition
//   Faculty of Engineering, The University of Hong Kong, 2016.

void setup() {
  size(400,300);
}

// This is run every time the display window can be redrawn.
void draw() {
  background(175, 238, 238);

  // Set the text colour to black.
  fill(0);

  // When multiple lines of text need to be displayed,
  //   we can do it one by one.
  text("This is line 1", 25,  20);
  text("This is line 2", 25,  40);
  text("This is line 3", 25,  60);
  text("This is line 4", 25,  80);
  text("This is line 5", 25, 100);
  text("This is line 6", 25, 120);
  text("This is line 7", 25, 140);
  text("This is line 8", 25, 160);
  text("This is line 9", 25, 180);
  text("This is line 10",25, 200);

  // Make text colour blue for the text to be drawn
  fill(0,0,255);
  /*
    We can use a for loop to make the task easier.
    A for loop changes the value of a variable and
      runs the statement inside its body until a condition is met
  */
  //   Integer loop variable
  //    | Name of loop variable is y
  //    |  | y is initialized to 1
  //    |  | |  Condition that the body continues to run,
  //    |  | |  when y is less than or equal to 10.
  //    |  | |   |
  //    |  | |   | Increment the value of y by 1 every time the body is run
  //    |  | |   |      |
  //    v  v v  -----  ===
  for (int y=1; y<=10; ++y) {
    // This the body of the loop.
    // When the body is first executed, y is 1.
    // The next time it is executed, y is 2 because it is incremented by 1.
    // The next time, y is 3.
    // This goes on, and the last time y is 10,
    // Afterwards, the for loop is exited
    //   because y=11 because does not satisfy the loop condition.
    //
    //   This expression results in a string such as "This is line 1"
    //    |           What does this mean?
    //    |                  |  The y coordinate of the text is
    //    |                  |    y multiplied by 20
    //    |                  |      |
    //   -----------------  ===  ----
    text("This is line "+y, 225, y*20);
  }
}

/*
  Note that function calles like fill() are "stateful",
    which means that the effect will last till the next call.
  Hence it is a good practice to set the fill colour of the text
    before calling text if it is ever changed from default.
*/
